Subject: [sacm] FW: I-D Action: draft-waltermire-sacm-use-cases-05.txt

From: "ietfdbh" <[email-masked]>
Date: Mon, 15 Jul 2013 14:56:07 -0400

Hi,

I have edited the use cases draft and made substantial changes.
The changes are summarized in a Change Log near the end of the document.

The purpose and tenor of the document are now significantly different than
earlier versions.
The WG should look this over to see whether they think this is the direction
we should be going with this document.

My experience in the IETF is that "use cases" are simple English
descriptions of what a technology will be used for (or how a technology will
be used), so that readers of a use cases document can better understand the
goals of doing the work in the first place. 

Because the IETF believes in rough consensus and running code, descriptions
of existing uses of a proposed technology tend to be preferred. Vendors
often solve problems that their customers are experiencing, but each vendor
is likely to solve problems that are similar in different ways. But trends
develop, and the proprietary solutions tend to use some similarity in their
approaches. When customers deploy solutions from multiple vendors, lack of
interoperability becomes the problem.  That's when standardization is
required. So what we should be looking at is, what similar problems have
been getting addressed? And can we agree on a more standardized approach to
solving those problems? First, we need to talk about our experiences ...
I recommend you look at other "use cases" documents in the RFC series.

I think the stage we are at is to talk together and compare what we think
the problem is, and brainstorm a few ideas of what is needed (the
architecture) to solve the problems. The goal at this point is to achieve
consensus on what problems we will focus on solving, and get everybody
working in the same direction. If we all go off to solve different problems
(asset mgmt., vs config mgmt. vs vulnerability mgmt. vs firewalls vs IDS vs
NEA vs incident sharing vs ... ), we'll never get consensus on a solution.
I think the recent discussions about alternative architectures and various
asset identifiers shows clearly we do not yet have agreement on the scope of
the problems we will address.

David Harrington
[email-masked]
+1-603-828-1401

> -----Original Message-----
> From: [email-masked] [mailto:i-d-announce-
> [email-masked]] On Behalf Of [email-masked]
> Sent: Monday, July 15, 2013 11:37 AM
> To: [email-masked]
> Subject: I-D Action: draft-waltermire-sacm-use-cases-05.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
> 	Title           : Using Security Posture Assessment to Grant Access
to
> Enterprise Network Resources
> 	Author(s)       : David Waltermire
>                           Adam W. Montville
>                           David Harrington
> 	Filename        : draft-waltermire-sacm-use-cases-05.txt
> 	Pages           : 20
> 	Date            : 2013-07-14
> 
> Abstract:
>    This memo documents a sampling of use cases for securely aggregating
>    configuration and operational data and assessing that data to
>    determine an organization's security posture.  From these operational
>    use cases, we can derive common functional capabilities and
>    requirements to guide development of vendor-neutral, interoperable
>    standards for aggregating and assessing data relevant to security
>    posture.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-waltermire-sacm-use-cases
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-waltermire-sacm-use-cases-05
> 
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-waltermire-sacm-use-cases-05
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html or
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt